---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t006.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x26D0, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x537F0, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55730, symBinAddr: 0xA260, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55B20, symBinAddr: 0xA650, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56AC0, symBinAddr: 0xB5F0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56AD0, symBinAddr: 0xB600, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53320, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53324, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53328, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x53470, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53528, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5352C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53530, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x53534, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53538, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53540, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x53550, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53558, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53560, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53568, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53570, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53578, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x535C0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x535D0, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x53670, symBinAddr: 0x8270, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x53710, symBinAddr: 0x8310, symSize: 0x0 }
  - { offsetInCU: 0x954C, offset: 0x954C, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x53718, symBinAddr: 0x8318, symSize: 0x0 }
  - { offsetInCU: 0x959E, offset: 0x959E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1350, symSize: 0x80 }
  - { offsetInCU: 0x9633, offset: 0x9633, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x12A0, symSize: 0xB0 }
  - { offsetInCU: 0x968E, offset: 0x968E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x11A0, symSize: 0x100 }
  - { offsetInCU: 0x9921, offset: 0x9921, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x13D0, symSize: 0xC0 }
  - { offsetInCU: 0x9973, offset: 0x9973, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1490, symSize: 0x220 }
  - { offsetInCU: 0x9B58, offset: 0x9B58, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x16B0, symSize: 0xA0 }
  - { offsetInCU: 0x9C0B, offset: 0x9C0B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1750, symSize: 0x110 }
  - { offsetInCU: 0x9D01, offset: 0x9D01, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1860, symSize: 0x150 }
  - { offsetInCU: 0x9E7E, offset: 0x9E7E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x19B0, symSize: 0x30 }
  - { offsetInCU: 0x9F3F, offset: 0x9F3F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x19E0, symSize: 0x150 }
  - { offsetInCU: 0xA137, offset: 0xA137, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1B30, symSize: 0x160 }
  - { offsetInCU: 0xA3F7, offset: 0xA3F7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1C90, symSize: 0x4A0 }
  - { offsetInCU: 0xA66A, offset: 0xA66A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2130, symSize: 0x1B0 }
  - { offsetInCU: 0xA885, offset: 0xA885, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x22E0, symSize: 0xA0 }
  - { offsetInCU: 0xA954, offset: 0xA954, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2380, symSize: 0x20 }
  - { offsetInCU: 0xA98B, offset: 0xA98B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x23A0, symSize: 0x20 }
  - { offsetInCU: 0xA9C2, offset: 0xA9C2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x23C0, symSize: 0x20 }
  - { offsetInCU: 0xAB31, offset: 0xAB31, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x23E0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE4D, offset: 0xAE4D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2580, symSize: 0x150 }
  - { offsetInCU: 0xB00A, offset: 0xB00A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2970, symSize: 0x1D0 }
  - { offsetInCU: 0xB306, offset: 0xB306, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2B40, symSize: 0x80 }
  - { offsetInCU: 0xB3CF, offset: 0xB3CF, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2BC0, symSize: 0x6C0 }
  - { offsetInCU: 0xBF45, offset: 0xBF45, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB150, symBinAddr: 0x4DD0, symSize: 0xB0 }
  - { offsetInCU: 0xBFBC, offset: 0xBFBC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3280, symSize: 0x70 }
  - { offsetInCU: 0xC078, offset: 0xC078, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x32F0, symSize: 0xA0 }
  - { offsetInCU: 0xC183, offset: 0xC183, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3390, symSize: 0x40 }
  - { offsetInCU: 0xC279, offset: 0xC279, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x33D0, symSize: 0x2B0 }
  - { offsetInCU: 0xC61F, offset: 0xC61F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3680, symSize: 0xC0 }
  - { offsetInCU: 0xC765, offset: 0xC765, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3740, symSize: 0x10 }
  - { offsetInCU: 0xC827, offset: 0xC827, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3750, symSize: 0x240 }
  - { offsetInCU: 0xCB10, offset: 0xCB10, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3990, symSize: 0x10 }
  - { offsetInCU: 0xCB6D, offset: 0xCB6D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x39A0, symSize: 0x790 }
  - { offsetInCU: 0xD3D3, offset: 0xD3D3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA4B0, symBinAddr: 0x4130, symSize: 0x10 }
  - { offsetInCU: 0xD430, offset: 0xD430, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM02_em02t006_setTag, symObjAddr: 0xA4C0, symBinAddr: 0x4140, symSize: 0xB0 }
  - { offsetInCU: 0xD531, offset: 0xD531, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA570, symBinAddr: 0x41F0, symSize: 0x170 }
  - { offsetInCU: 0xD625, offset: 0xD625, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA6E0, symBinAddr: 0x4360, symSize: 0x20 }
  - { offsetInCU: 0xD671, offset: 0xD671, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xA700, symBinAddr: 0x4380, symSize: 0x140 }
  - { offsetInCU: 0xD7BF, offset: 0xD7BF, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA840, symBinAddr: 0x44C0, symSize: 0xE0 }
  - { offsetInCU: 0xD8C3, offset: 0xD8C3, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xA920, symBinAddr: 0x45A0, symSize: 0xE0 }
  - { offsetInCU: 0xD9A4, offset: 0xD9A4, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xAA00, symBinAddr: 0x4680, symSize: 0x20 }
  - { offsetInCU: 0xDA26, offset: 0xDA26, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xAA20, symBinAddr: 0x46A0, symSize: 0x20 }
  - { offsetInCU: 0xDA92, offset: 0xDA92, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xAA40, symBinAddr: 0x46C0, symSize: 0x20 }
  - { offsetInCU: 0xDAF3, offset: 0xDAF3, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xAA60, symBinAddr: 0x46E0, symSize: 0x20 }
  - { offsetInCU: 0xDB54, offset: 0xDB54, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xAA80, symBinAddr: 0x4700, symSize: 0x20 }
  - { offsetInCU: 0xDBB5, offset: 0xDBB5, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xAAA0, symBinAddr: 0x4720, symSize: 0x20 }
  - { offsetInCU: 0xDC37, offset: 0xDC37, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xAAC0, symBinAddr: 0x4740, symSize: 0x20 }
  - { offsetInCU: 0xDCCF, offset: 0xDCCF, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xAAE0, symBinAddr: 0x4760, symSize: 0x20 }
  - { offsetInCU: 0xDD25, offset: 0xDD25, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xAB00, symBinAddr: 0x4780, symSize: 0x20 }
  - { offsetInCU: 0xDD91, offset: 0xDD91, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xAB20, symBinAddr: 0x47A0, symSize: 0x20 }
  - { offsetInCU: 0xDDFD, offset: 0xDDFD, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xAB40, symBinAddr: 0x47C0, symSize: 0x20 }
  - { offsetInCU: 0xDE5E, offset: 0xDE5E, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xAB60, symBinAddr: 0x47E0, symSize: 0x20 }
  - { offsetInCU: 0xDEBF, offset: 0xDEBF, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xAB80, symBinAddr: 0x4800, symSize: 0x20 }
  - { offsetInCU: 0xDF1A, offset: 0xDF1A, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xABA0, symBinAddr: 0x4820, symSize: 0x20 }
  - { offsetInCU: 0xDF75, offset: 0xDF75, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xABC0, symBinAddr: 0x4840, symSize: 0x20 }
  - { offsetInCU: 0xDFF4, offset: 0xDFF4, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xABE0, symBinAddr: 0x4860, symSize: 0x20 }
  - { offsetInCU: 0xE043, offset: 0xE043, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xAC00, symBinAddr: 0x4880, symSize: 0x20 }
  - { offsetInCU: 0xE07A, offset: 0xE07A, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xAC20, symBinAddr: 0x48A0, symSize: 0x20 }
  - { offsetInCU: 0xE0B1, offset: 0xE0B1, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xAC40, symBinAddr: 0x48C0, symSize: 0x80 }
  - { offsetInCU: 0xE135, offset: 0xE135, size: 0x8, addend: 0x0, symName: _cbNewObjectFree, symObjAddr: 0xACC0, symBinAddr: 0x4940, symSize: 0x80 }
  - { offsetInCU: 0xE1B9, offset: 0xE1B9, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xAD40, symBinAddr: 0x49C0, symSize: 0x20 }
  - { offsetInCU: 0xE22C, offset: 0xE22C, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xAD60, symBinAddr: 0x49E0, symSize: 0x2D0 }
  - { offsetInCU: 0xE2F6, offset: 0xE2F6, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB030, symBinAddr: 0x4CB0, symSize: 0x120 }
  - { offsetInCU: 0xE467, offset: 0xE467, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB200, symBinAddr: 0x4E80, symSize: 0x36A }
...
